#!/bin/tcsh
set path=(/hdfdap/local/bin $path)
cd /hdfdap/local/src/aug_eos5
rm test*.txt
svn update >& /dev/null
./configure CC=/hdfdap/local/bin/h5cc --with-hdfeos5=/hdfdap/local >& /dev/null
make >& /dev/null
cd test/ffile_test
# You should see "passed." Otherwise, "FAILED."
./test_ffile_default.sh >& ../../test_ffile_default.txt
./test_ffile_file_index.sh >& ../../test_ffile_file_index.txt
# You should see "correctly" or "OK", Otherwise, "FAILED."
./test_ffile_auged.sh >& ../../test_ffile_auged.txt

# Test NASA files.
# You should see "passed." Otherwise, "FAILED."
cd ../nfile_test
./test_nfile_default.sh >& ../../test_nfile_default.txt
./test_nfile_file_index.sh >& ../../test_nfile_file_index.txt
cd ../..
set M="aug_eos5 test failure on "
set H=`hostname`
set S=`echo $M $H` 

grep 'FAILED' *.txt
set RETVAL=$?
[ $RETVAL -eq 0 ] && grep FAILED *.txt | mail -s "${S}" "hyoklee@hdfgroup.org"
make distclean >& /dev/null
