#ifndef AUGEOS5APICOMPAITABLE_H
#define AUGEOS5APICOMPAITABLE_H
#if (H5_VERS_MAJOR == 1 && H5_VERS_MINOR == 8) || defined H5_USE_16_API
    #define H5RDEREFERENCE(obj_id,ref_type,ref) H5Rdereference(obj_id,ref_type,ref)
    #define H5LINK_CREATE_HARD(loc_id,current_name,new_name) H5Glink(loc_id,H5G_LINK_HARD,current_name,new_name)
#elif (defined H5_USE_18_API)
    #define H5RDEREFERENCE(obj_id,ref_type,ref) H5Rdereference1(obj_id,ref_type,ref)
    #define H5LINK_CREATE_HARD(loc_id,current_name,new_name) H5Lcreate_hard(loc_id,current_name,loc_id,new_name,H5P_DEFAULT,H5P_DEFAULT)
#else
    #define H5RDEREFERENCE(obj_id,ref_type,ref) H5Rdereference2(obj_id,H5P_DEFAULT,ref_type,ref)
    #define H5LINK_CREATE_HARD(loc_id,current_name,new_name) H5Lcreate_hard(loc_id,current_name,loc_id,new_name,H5P_DEFAULT,H5P_DEFAULT)
#endif


#if defined H5_USE_16_API
    #define H5GOPEN(loc_id,obj_name) H5Gopen1(loc_id,obj_name)
    #define H5GCREATE(loc_id,obj_name) H5Gcreate1(loc_id,obj_name,0)
    #define H5DOPEN(loc_id,obj_name) H5Dopen1(loc_id,obj_name)
    #define H5DCREATE(loc_id,obj_name,type_id,space_id,dcpl_id) H5Dcreate1(loc_id,obj_name,type_id,space_id,dcpl_id)
    #define H5ACREATE(loc_id,attr_name,type_id,space_id,acpl_id) H5Acreate1(loc_id,attr_name,type_id,space_id,acpl_id)
#else
    #define H5GOPEN(loc_id,obj_name) H5Gopen2(loc_id,obj_name,H5P_DEFAULT)
    #define H5GCREATE(loc_id,obj_name) H5Gcreate2(loc_id,obj_name,H5P_DEFAULT,H5P_DEFAULT,H5P_DEFAULT)
    #define H5DOPEN(loc_id,obj_name) H5Dopen2(loc_id,obj_name,H5P_DEFAULT)
    #define H5DCREATE(loc_id,obj_name,type_id,space_id,dcpl_id) H5Dcreate2(loc_id,obj_name,type_id,space_id,H5P_DEFAULT,dcpl_id,H5P_DEFAULT)
    #define H5ACREATE(loc_id,attr_name,type_id,space_id,acpl_id) H5Acreate2(loc_id,attr_name,type_id,space_id,acpl_id,H5P_DEFAULT)

#endif

/*##if (H5_VERS_MAJOR == 1 && H5_VERS_MINOR == 12 && !(defined H5_USE_16_API) && !(defined H5_USE_18_API))  */
#if (H5_VERS_MAJOR == 1 && H5_VERS_MINOR == 12) 
    #define H5OGET_INFO_BY_NAME(loc_id,obj_name,objinfo,lapl_id) H5Oget_info_by_name2(loc_id,obj_name,objinfo,H5O_INFO_BASIC,lapl_id)
#else
    #define H5OGET_INFO_BY_NAME(loc_id,obj_name,objinfo,lapl_id) H5Oget_info_by_name(loc_id,obj_name,objinfo,lapl_id)
#endif

#endif
