/* 
 Copyright by The HDF Group.
 All rights reserved.                                                      
                                                                           
 This file is part of the HDF-EOS5 Augmentation Tool. The full HDF-EOS5 
 Augmentation Tool copyright notice including terms governing use, modification,
 and redistribution, is contained in the file COPYING.     
 COPYING can be found at the root of the source code    
 distribution tree. If you do not have access to this file, you may request
 a copy from eoshelp@hdfgroup.org. 
*/
#ifndef DUMP_READ_H
#define DUMP_READ_H

#include "util.h"

/* Open a given HDF-EOS5 file and obtain the grid,swath or za list */
int open_hdfeos5(hid_t ctxid, const char *fname, int option);

/* Read the data and other information from an HDF-EOS5 grid */
int read_hdfeos5_onegrid(hid_t ctxid, /*const*/ char *gridname, grid_t *grid);

/* Read the data and other information from an HDF-EOS5 swath */
int read_hdfeos5_oneswath(hid_t ctxid, const char *swathname, swath_zonal_t *swath);

/* Read the data and other information from an HDF-EOS5 zonal average object */
int read_hdfeos5_onezonal(hid_t ctxid, const char *zaname, swath_zonal_t *za);


/* Close the HDF-EOS5 by releasing all resources */
int close_hdfeos5(hid_t ctxid);

#endif

