#!/bin/sh 

AUGMENT() {
   case "$1" in
   -f)
        temp1_choice="`echo "$2"|cut -d"." -f1 `"
        final_choice="`echo "$temp1_choice"|rev|cut -d"_" -f1 | rev`"
        
        echo "Augment $3 with the <File> option: using <$final_choice> for dimension scale"
        ../../../../src/aug_eos5 $1 $2 $3  >& /dev/null
        ;;
   -i) 
        echo "Augment $3 with the <Index> option "
        ../../../../src/aug_eos5 $1  $3  >& /dev/null
        ;;
    esac
    if [ "$?" -ne "0" ]
    then
                cp tmp_file_backup/*.h5 .
                rm -rf tmp_file_backup
                echo "FAILED"
                echo "During the augmentation, one fake file test with the file or index option failed."
                exit 1
    fi

}

COMPARE() {
   echo "Compare $1 with the expected file $2"
   h5diff -q $1 ../../file_index_aug_files/$2
   if [ "$?" -ne "0" ]
        then
                cp tmp_file_backup/*.h5 .
                rm -rf tmp_file_backup
                echo "FAILED"
                echo "During the comparison, one fake file test with the file or index option failed. "

                exit 1
        fi
        echo "OK"

}

TEST() {

AUGMENT $1 $2 $3
COMPARE $3 $4

}

cd orig_files
cd file_index

echo "***********************************************"
echo "Test the file and index options with fake files"
echo "***********************************************"

mkdir tmp_file_backup
cp *.h5 tmp_file_backup


TEST -f grid_1_3d_xyz_index.txt grid_1_3d_xyz.h5 grid_1_3d_xyz_index.h5
TEST -f grid_1_3d_zz_dfile.txt grid_1_3d_zz.h5 grid_1_3d_zz_dfile.h5
cp tmp_file_backup/grid_1_3d_zz.h5 .
TEST -f grid_1_3d_zz_field.txt grid_1_3d_zz.h5 grid_1_3d_zz_field.h5
cp tmp_file_backup/grid_1_3d_zz.h5 .
TEST -f grid_1_3d_zz_ll_field.txt grid_1_3d_zz.h5 grid_1_3d_zz_ll_field.h5
TEST -f grid_2_3d_xyz_field.txt grid_2_3d_xyz.h5 grid_2_3d_xyz_field.h5
cp tmp_file_backup/grid_2_3d_xyz.h5 .
TEST -f grid_2_3d_xyz_one_grid_name_field.txt grid_2_3d_xyz.h5 grid_2_3d_xyz_one_grid_name_field.h5
TEST -f grid_swath_za_1_2d_field.txt grid_swath_za_1_2d.h5 grid_swath_za_1_2d_field.h5
TEST -f swath_2_2d_xyz_field.txt swath_2_2d_xyz.h5 swath_2_2d_xyz_field.h5
TEST -f swath_2_3d_2x2yz_field-and-index.txt swath_2_3d_2x2yz.h5 swath_2_3d_2x2yz_field_index.h5
TEST -f za_1_2d_yz_field.txt za_1_2d_yz.h5 za_1_2d_yz_field.h5
TEST -f za_2_2d_yz_index-with-aster.txt za_2_2d_yz.h5 za_2_2d_yz_index_aster.h5
cp tmp_file_backup/za_2_2d_yz.h5 .
TEST -i no.txt za_2_2d_yz.h5 za_2_2d_yz_index_option.h5


cp tmp_file_backup/*.h5 .
rm -rf tmp_file_backup

echo " "
echo "All fake file tests with the file and index options have passed"
echo " "
cd ../..
