#!/bin/sh 

cd auged_files
echo "***************************************"
echo "Test if the tool can correctly handle an augmented file"
echo "***************************************"

for F in *.h5
do 
    echo "Augment an augmented file $F "
    output=`valgrind ../../../src/aug_eos5 $F`
    expected='already been augmented'
    if [[ "$output" == *"$expected"* ]];
    then 
       echo "OK";
    else 
       echo "FAILED"
       echo "The tool fails to handle the already augmented file."
       exit 1
    fi
done

echo "The tool correctly handles the already augmented file."
cd ..
