#!/bin/sh 

cd orig_files
cd default

echo "***************************************"
echo "Test the default option with fake files"
echo "***************************************"

mkdir tmp_file_backup
cp *.h5 tmp_file_backup

for F in *.h5
do
	echo "Augment $F..."
	valgrind --leak-check=full ../../../../src/aug_eos5 $F 2>> ../../val-def.out
	if [ "$?" -ne "0" ]
	then
                cp tmp_file_backup/*.h5 .
                rm -rf tmp_file_backup
		echo "FAILED"
                echo "During the augmentation, one fake file test with the default option failed."
		exit 1
	fi
	echo "Compare $F..."
	h5diff -q $F ../../def_aug_files/$F 
	if [ "$?" -ne "0" ]
	then
                cp tmp_file_backup/*.h5 .
                rm -rf tmp_file_backup
		echo "FAILED"
                echo "During the comparison, one fake file test with the default option failed."
		exit 1
	fi
	echo "OK"


done
cp tmp_file_backup/*.h5 .
rm -rf tmp_file_backup

echo " "
echo "All fake file tests with the default option have passed."
echo " "

cd ../..


