#!/bin/sh 

cd default_option

mkdir tmp_file_backup
cp *.he5 tmp_file_backup

echo "Test the default option for NASA HDF-EOS5 files"

for F in *.he5
do
	echo "Augment $F..."
	valgrind --leak-check=full ../../../src/aug_eos5 $F 2>> ../../val-def.out
	if [ "$?" -ne "0" ]
	then
		echo "FAILED"
                echo " During the augmentation, one NASA HDF-EOS5 file with the default option failed."
        cp tmp_file_backup/$F .
        rm -rf tmp_file_backup
		exit 1
	fi
	echo "Compare $F..."
	h5diff -q $F ./augmented_files/$F 
	if [ "$?" -ne "0" ]
	then
		echo "FAILED"
                echo " During the comparison, one NASA HDF-EOS5 file with the default option failed."
                cp tmp_file_backup/$F .
                rm -rf tmp_file_backup
		exit 1
	fi
	echo "OK"


done
cp tmp_file_backup/*.he5 .
rm -rf tmp_file_backup

echo " "
echo "All NASA file tests with the default option have passed"
echo " "


cd ..


